## webrtcechoprobe

webrtcechoprobe

## Types and Values

struct | GstWebrtcEchoProbe

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstAudioFilter
                            ╰── GstWebrtcEchoProbe

## Description

This echo probe is to be used with the webrtcdsp element. See gst-plugins-bad-plugins-webrtcdsp documentation for more details.

## Synopsis

### Element Information

plugin | webrtcdsp
author | Nicolas Dufresne <nicolas.dufrsesne@collabora.com>
class | Generic/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int){ 48000, 32000, 16000, 8000 }, channels=(int)[ 1, 2147483647 ]

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int){ 48000, 32000, 16000, 8000 }, channels=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstWebrtcEchoProbe

    struct GstWebrtcEchoProbe;

The adder object structure.